foreach i in abany abdefect abhlth abnomore abpoor abrape absingle {
recode `i' (1=1) (2=0)
}

desc abany abdefect abhlth abnomore abpoor abrape absingle
label var abany "If woman wants for any reason"
label var abdefect "Strong chance of serious defect"
label var abhlth "Woman's health seriously endangered"
label var abnomore "Married, wants no more children"
label var abpoor "Low income, can't afford more children"
label var abrape "Pregnant as result of rape"
label var absingle "Not married"

label var age "Age (in years)"

*Education
recode educ (0/11=1) (12=2) (13 15=3) (14=4) (16=5) (17/20=6)
label var educ "Education (1=No HS; 6=post-grad)"

*Income
//recode income16 (1/8=1) (9/10=2) (11/12=3) (13/14=4) (15=5) (16/17=6) whatwasyourtotalfamilyincomein20 income
//label var income "Income (1=<$10k; 14=$150k+; 15=refused)"
//gen incomemis=(income==15)
//replace incomemis=1 if income==.
//replace income=15 if income==.
//label var incomemis "Income Refused"

*Race
recode hispanic (1=0) (2/47=1)
recode racecen1 (1=1) (2=2) (3/15=4) (16=3), gen(r_recode)
replace r_recode=3 if hispanic==1
tab r_recode, gen(r_)
rename r_1 r_white
rename r_2 r_black
rename r_3 r_hispanic
rename r_4 r_other
label var r_other "Other race / Skipped"
label var r_white "White"
label var r_black "Black"
label var r_hispanic "Hispanic"

*Gender
recode sex (1=0) (2=1), gen(female)
label var female "Female"

recode attend (0=1) (1/2=2) (3=3) (4/5=4) (6/7=5) (8=6), gen(relig_att)
label var relig_att "Freq. of Religious Attendance (1-6)"

gen ideology=polviews-4
label var ideology "Ideology (-3 = v. lib; 3 = v. cons.)"

*party ID
recode partyid (7=3)
replace partyid=partyid-3
label var partyid "Party Identification (-3 = Str. Dem.; 3 = Str. Rep)"

*Children?
recode childs (0=0) (1/8=1) (*=.), gen(any_kids)
label var any_kids "Have Children? (1=yes)"
